#  ___________________________________________________________________________
#
#  EGRET: Electrical Grid Research and Engineering Tools
#  Copyright 2019 National Technology & Engineering Solutions of Sandia, LLC
#  (NTESS). Under the terms of Contract DE-NA0003525 with NTESS, the U.S.
#  Government retains certain rights in this software.
#  This software is distributed under the Revised BSD License.
#  ___________________________________________________________________________

"""
This is the list of expected files in the pglib ZIP archive
If the archive changes, this list will need to be updated
"""

pglib_files_to_extract = [
   'pglib-opf-master/BASELINE.md',
   'pglib-opf-master/CHANGELOG.md',
   'pglib-opf-master/LICENSE',
   'pglib-opf-master/MODEL.png',
   'pglib-opf-master/MODEL.tex',
   'pglib-opf-master/README.md',
   'pglib-opf-master/api/pglib_opf_case10000_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case10480_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case118_ieee__api.m',
   'pglib-opf-master/api/pglib_opf_case1354_pegase__api.m',
   'pglib-opf-master/api/pglib_opf_case13659_pegase__api.m',
   'pglib-opf-master/api/pglib_opf_case14_ieee__api.m',
   'pglib-opf-master/api/pglib_opf_case162_ieee_dtc__api.m',
   'pglib-opf-master/api/pglib_opf_case179_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case1888_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case19402_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case1951_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case2000_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case200_activ__api.m',
   'pglib-opf-master/api/pglib_opf_case2312_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case2383wp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case240_pserc__api.m',
   'pglib-opf-master/api/pglib_opf_case24464_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case24_ieee_rts__api.m',
   'pglib-opf-master/api/pglib_opf_case2736sp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case2737sop_k__api.m',
   'pglib-opf-master/api/pglib_opf_case2742_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case2746wop_k__api.m',
   'pglib-opf-master/api/pglib_opf_case2746wp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case2848_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case2853_sdet__api.m',
   'pglib-opf-master/api/pglib_opf_case2868_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case2869_pegase__api.m',
   'pglib-opf-master/api/pglib_opf_case30000_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case300_ieee__api.m',
   'pglib-opf-master/api/pglib_opf_case3012wp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case3022_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case30_as__api.m',
   'pglib-opf-master/api/pglib_opf_case30_ieee__api.m',
   'pglib-opf-master/api/pglib_opf_case3120sp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case3375wp_k__api.m',
   'pglib-opf-master/api/pglib_opf_case3970_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case39_epri__api.m',
   'pglib-opf-master/api/pglib_opf_case3_lmbd__api.m',
   'pglib-opf-master/api/pglib_opf_case4020_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case4601_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case4619_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case4661_sdet__api.m',
   'pglib-opf-master/api/pglib_opf_case4837_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case4917_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case500_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case57_ieee__api.m',
   'pglib-opf-master/api/pglib_opf_case588_sdet__api.m',
   'pglib-opf-master/api/pglib_opf_case5_pjm__api.m',
   'pglib-opf-master/api/pglib_opf_case6468_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case6470_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case6495_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case6515_rte__api.m',
   'pglib-opf-master/api/pglib_opf_case73_ieee_rts__api.m',
   'pglib-opf-master/api/pglib_opf_case793_goc__api.m',
   'pglib-opf-master/api/pglib_opf_case89_pegase__api.m',
   'pglib-opf-master/api/pglib_opf_case9241_pegase__api.m',
   'pglib-opf-master/api/pglib_opf_case9591_goc__api.m',
   'pglib-opf-master/pglib_opf_case10000_goc.m',
   'pglib-opf-master/pglib_opf_case10480_goc.m',
   'pglib-opf-master/pglib_opf_case118_ieee.m',
   'pglib-opf-master/pglib_opf_case1354_pegase.m',
   'pglib-opf-master/pglib_opf_case13659_pegase.m',
   'pglib-opf-master/pglib_opf_case14_ieee.m',
   'pglib-opf-master/pglib_opf_case162_ieee_dtc.m',
   'pglib-opf-master/pglib_opf_case179_goc.m',
   'pglib-opf-master/pglib_opf_case1888_rte.m',
   'pglib-opf-master/pglib_opf_case19402_goc.m',
   'pglib-opf-master/pglib_opf_case1951_rte.m',
   'pglib-opf-master/pglib_opf_case2000_goc.m',
   'pglib-opf-master/pglib_opf_case200_activ.m',
   'pglib-opf-master/pglib_opf_case2312_goc.m',
   'pglib-opf-master/pglib_opf_case2383wp_k.m',
   'pglib-opf-master/pglib_opf_case240_pserc.m',
   'pglib-opf-master/pglib_opf_case24464_goc.m',
   'pglib-opf-master/pglib_opf_case24_ieee_rts.m',
   'pglib-opf-master/pglib_opf_case2736sp_k.m',
   'pglib-opf-master/pglib_opf_case2737sop_k.m',
   'pglib-opf-master/pglib_opf_case2742_goc.m',
   'pglib-opf-master/pglib_opf_case2746wop_k.m',
   'pglib-opf-master/pglib_opf_case2746wp_k.m',
   'pglib-opf-master/pglib_opf_case2848_rte.m',
   'pglib-opf-master/pglib_opf_case2853_sdet.m',
   'pglib-opf-master/pglib_opf_case2868_rte.m',
   'pglib-opf-master/pglib_opf_case2869_pegase.m',
   'pglib-opf-master/pglib_opf_case30000_goc.m',
   'pglib-opf-master/pglib_opf_case300_ieee.m',
   'pglib-opf-master/pglib_opf_case3012wp_k.m',
   'pglib-opf-master/pglib_opf_case3022_goc.m',
   'pglib-opf-master/pglib_opf_case30_as.m',
   'pglib-opf-master/pglib_opf_case30_ieee.m',
   'pglib-opf-master/pglib_opf_case3120sp_k.m',
   'pglib-opf-master/pglib_opf_case3375wp_k.m',
   'pglib-opf-master/pglib_opf_case3970_goc.m',
   'pglib-opf-master/pglib_opf_case39_epri.m',
   'pglib-opf-master/pglib_opf_case3_lmbd.m',
   'pglib-opf-master/pglib_opf_case4020_goc.m',
   'pglib-opf-master/pglib_opf_case4601_goc.m',
   'pglib-opf-master/pglib_opf_case4619_goc.m',
   'pglib-opf-master/pglib_opf_case4661_sdet.m',
   'pglib-opf-master/pglib_opf_case4837_goc.m',
   'pglib-opf-master/pglib_opf_case4917_goc.m',
   'pglib-opf-master/pglib_opf_case500_goc.m',
   'pglib-opf-master/pglib_opf_case57_ieee.m',
   'pglib-opf-master/pglib_opf_case588_sdet.m',
   'pglib-opf-master/pglib_opf_case5_pjm.m',
   'pglib-opf-master/pglib_opf_case6468_rte.m',
   'pglib-opf-master/pglib_opf_case6470_rte.m',
   'pglib-opf-master/pglib_opf_case6495_rte.m',
   'pglib-opf-master/pglib_opf_case6515_rte.m',
   'pglib-opf-master/pglib_opf_case73_ieee_rts.m',
   'pglib-opf-master/pglib_opf_case793_goc.m',
   'pglib-opf-master/pglib_opf_case89_pegase.m',
   'pglib-opf-master/pglib_opf_case9241_pegase.m',
   'pglib-opf-master/pglib_opf_case9591_goc.m',
   'pglib-opf-master/sad/pglib_opf_case10000_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case10480_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case118_ieee__sad.m',
   'pglib-opf-master/sad/pglib_opf_case1354_pegase__sad.m',
   'pglib-opf-master/sad/pglib_opf_case13659_pegase__sad.m',
   'pglib-opf-master/sad/pglib_opf_case14_ieee__sad.m',
   'pglib-opf-master/sad/pglib_opf_case162_ieee_dtc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case179_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case1888_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case19402_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case1951_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2000_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case200_activ__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2312_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2383wp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case240_pserc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case24464_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case24_ieee_rts__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2736sp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2737sop_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2742_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2746wop_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2746wp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2848_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2853_sdet__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2868_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case2869_pegase__sad.m',
   'pglib-opf-master/sad/pglib_opf_case30000_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case300_ieee__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3012wp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3022_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case30_as__sad.m',
   'pglib-opf-master/sad/pglib_opf_case30_ieee__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3120sp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3375wp_k__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3970_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case39_epri__sad.m',
   'pglib-opf-master/sad/pglib_opf_case3_lmbd__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4020_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4601_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4619_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4661_sdet__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4837_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case4917_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case500_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case57_ieee__sad.m',
   'pglib-opf-master/sad/pglib_opf_case588_sdet__sad.m',
   'pglib-opf-master/sad/pglib_opf_case5_pjm__sad.m',
   'pglib-opf-master/sad/pglib_opf_case6468_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case6470_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case6495_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case6515_rte__sad.m',
   'pglib-opf-master/sad/pglib_opf_case73_ieee_rts__sad.m',
   'pglib-opf-master/sad/pglib_opf_case793_goc__sad.m',
   'pglib-opf-master/sad/pglib_opf_case89_pegase__sad.m',
   'pglib-opf-master/sad/pglib_opf_case9241_pegase__sad.m',
   'pglib-opf-master/sad/pglib_opf_case9591_goc__sad.m',
    ]
